IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_270_MADDE_BAGIMLILIGI_BILDIRIM]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_270_MADDE_BAGIMLILIGI_BILDIRIM
GO

CREATE PROCEDURE [dbo].[SPUSS_270_MADDE_BAGIMLILIGI_BILDIRIM] 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_270_MADDE_BAGIMLILIGI_BILDIRIM 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT 
 USS270.ID USSDIGER_ID
,USS270.HDOSYAID
,USS270.HMUAYENEID
,USS270.HKIMLIKID
,USS270.HYATISID,


-- VALUE (Datetime) Alanlar
USS270.EN_SON_IKAME_TEDAVISI_GORME_ZAMANI AS EN_SON_IKAME_TEDAVISI_GORME_ZAMANI,
USS270.DANISMA_TEDAVI_HIZMETI_ALMA_ZAMANI AS DANISMA_TEDAVI_HIZMETI_ALMA_ZAMANI,


USS270.BILGI_ALINAN_KAYNAK AS BILGI_ALINAN_KAYNAK_ID,
tBILGI_ALINAN_KAYNAK.AD AS BILGI_ALINAN_KAYNAK_ADI,

USS270.DANISMA_TEDAVI_HIZMET_ALMA_DURUMU AS DANISMA_TEDAVI_HIZMET_ALMA_DURUMU_ID,
TDANISMA_TEDAVI_HIZMET_ALMA_DURUMU.AD AS DANISMA_TEDAVI_HIZMET_ALMA_DURUMU_ADI,

USS270.IKAME_TEDAVISI_GORME_DURUMU AS IKAME_TEDAVISI_GORME_DURUMU_ID,
TIKAME_TEDAVISI_GORME_DURUMU.AD AS IKAME_TEDAVISI_GORME_DURUMU_ADI,

USS270.CEZAEVI_OYKUSU AS CEZAEVI_OYKUSU_ID,
TCEZAEVI_OYKUSU.AD AS CEZAEVI_OYKUSU_ADI,

USS270.OGRENIM_DURUMU AS OGRENIM_DURUMU_ID,
TOGRENIM_DURUMU.AD AS OGRENIM_DURUMU_ADI,

USS270.MEDENI_HALI AS MEDENI_HALI_ID,
TMEDENI_HALI.AD AS MEDENI_HALI_ADI,

USS270.SOSYAL_YARDIM_ALMA_DURUMU AS SOSYAL_YARDIM_ALMA_DURUMU_ID,
TSOSYAL_YARDIM_ALMA_DURUMU.AD AS SOSYAL_YARDIM_ALMA_DURUMU_ADI,

USS270.YASADIGI_BOLGE AS YASADIGI_BOLGE_ID,
'' AS YASADIGI_BOLGE_ADI,

USS270.ENGELLILIK_DURUMU AS ENGELLILIK_DURUMU_ID,
TENGELLILIK_DURUMU.AD AS ENGELLILIK_DURUMU_ADI,

USS270.YASAM_BICIMI AS YASAM_BICIMI_ID,
TYASAM_BICIMI.AD AS YASAM_BICIMI_ADI,

USS270.COCUKLARIYLA_YASAM_DURUMU AS COCUKLARIYLA_YASAM_DURUMU_ID,
TCOCUKLARIYLA_YASAM_DURUMU.AD AS COCUKLARIYLA_YASAM_DURUMU_ADI,


USS270.YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU AS YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU_ID,
TYASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU.AD AS YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU_ADI,

USS270.ENJEKTOR_PAYLASIM_DURUMU AS ENJEKTOR_PAYLASIM_DURUMU_ID,
TENJEKTOR_PAYLASIM_DURUMU.AD AS ENJEKTOR_PAYLASIM_DURUMU_ADI,

USS270.HIV_TEST_YAPILMA_DURUMU AS HIV_TEST_YAPILMA_DURUMU_ID,
THIV_TEST_YAPILMA_DURUMU.AD AS HIV_TEST_YAPILMA_DURUMU_ADI,

USS270.HCV_TEST_YAPILMA_DURUMU AS HCV_TEST_YAPILMA_DURUMU_ID,
THCV_TEST_YAPILMA_DURUMU.AD AS HCV_TEST_YAPILMA_DURUMU_ADI,

USS270.HBV_TEST_YAPILMA_DURUMU AS HBV_TEST_YAPILMA_DURUMU_ID,
THBV_TEST_YAPILMA_DURUMU.AD AS HBV_TEST_YAPILMA_DURUMU_ADI,

USS270.GORUSME_SONUCU AS GORUSME_SONUCU_ID,
TGORUSME_SONUCU.AD AS GORUSME_SONUCU_ADI,

USS270.GONDEREN_BIRIM AS GONDEREN_BIRIM_ID,
TGONDEREN_BIRIM.AD AS GONDEREN_BIRIM_ADI,

USS270.IS_DURUMU AS IS_DURUMU_ID,
TIS_DURUMU.AD AS IS_DURUMU_ADI,

USS270.YASAM_ORTAMI AS YASAM_ORTAMI_ID,
TYASAM_ORTAMI.AD AS YASAM_ORTAMI_ADI,

ILK_ENJEKTOR_PAYLASIM_YASI,
ENJEKSIYON_YOLU_ILE_ILK_MADDE_KULLANIM_YASI,

USS270.MADDE_BAGIMLILIGI_ONAM_ALINDI_MI AS MADDE_BAGIMLILIGI_ONAM_ALINDI_MI_ID,
TMADDE_BAGIMLILIGI_ONAM_ALINDI_MI.AD AS MADDE_BAGIMLILIGI_ONAM_ALINDI_MI_ADI,

USS270.BULASICI_HASTALIK_DURUMU AS BULASICI_HASTALIK_DURUMU_ID,
TBULASICI_HASTALIK_DURUMU.AD AS BULASICI_HASTALIK_DURUMU_ADI,

USS270.TEDAVI_TIPI AS TEDAVI_TIPI_ID,
TTEDAVI_TIPI.AD AS TEDAVI_TIPI_ADI,

USS270.BIRINCIL_MADDE_KULLANIM_SIKLIGI AS BIRINCIL_MADDE_KULLANIM_SIKLIGI_ID,
TBIRINCIL_MADDE_KULLANIM_SIKLIGI.AD AS BIRINCIL_MADDE_KULLANIM_SIKLIGI_ADI,

USS270.IKINCIL_MADDE_KULLANIM_SIKLIGI AS IKINCIL_MADDE_KULLANIM_SIKLIGI_ID,
TIKINCIL_MADDE_KULLANIM_SIKLIGI.AD AS IKINCIL_MADDE_KULLANIM_SIKLIGI_ADI,

USS270.UCUNCUL_MADDE_KULLANIM_SIKLIGI AS UCUNCUL_MADDE_KULLANIM_SIKLIGI_ID,
TUCUNCUL_MADDE_KULLANIM_SIKLIGI.AD AS UCUNCUL_MADDE_KULLANIM_SIKLIGI_ADI,

USS270.KULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI AS KULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI_ID,
TKULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI.AD AS KULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI_ADI,

USS270.BIRINCIL_KULLANILAN_MADDE AS BIRINCIL_KULLANILAN_MADDE_ID,
TBIRINCIL_KULLANILAN_MADDE.AD AS BIRINCIL_KULLANILAN_MADDE_ADI,

USS270.IKINCIL_KULLANILAN_MADDE AS IKINCIL_KULLANILAN_MADDE_ID,
TIKINCIL_KULLANILAN_MADDE.AD AS IKINCIL_KULLANILAN_MADDE_ADI,

USS270.UCUNCUL_KULLANILAN_MADDE AS UCUNCUL_KULLANILAN_MADDE_ID,
TUCUNCUL_KULLANILAN_MADDE.AD AS UCUNCUL_KULLANILAN_MADDE_ADI,

USS270.KULLANILAN_DIGER_MADDE AS KULLANILAN_DIGER_MADDE_ID,
TKULLANILAN_DIGER_MADDE.AD AS KULLANILAN_DIGER_MADDE_ADI,


USS270.BIRINCIL_MADDE_KULLANIM_YOLU AS BIRINCIL_MADDE_KULLANIM_YOLU_ID,
TBIRINCIL_MADDE_KULLANIM_YOLU.AD AS BIRINCIL_MADDE_KULLANIM_YOLU_ADI,

USS270.IKINCIL_MADDE_KULLANIM_YOLU AS IKINCIL_MADDE_KULLANIM_YOLU_ID,
TIKINCIL_MADDE_KULLANIM_YOLU.AD AS IKINCIL_MADDE_KULLANIM_YOLU_ADI,

USS270.UCUNCUL_MADDE_KULLANIM_YOLU AS UCUNCUL_MADDE_KULLANIM_YOLU_ID,
TUCUNCUL_MADDE_KULLANIM_YOLU.AD AS UCUNCUL_MADDE_KULLANIM_YOLU_ADI,

USS270.KULLANILAN_DIGER_MADDE_KULLANIM_YOLU AS KULLANILAN_DIGER_MADDE_KULLANIM_YOLU_ID,
TKULLANILAN_DIGER_MADDE_KULLANIM_YOLU.AD AS KULLANILAN_DIGER_MADDE_KULLANIM_YOLU_ADI,

USS270.ILK_KULLANIM_YASI,
USS270.DUZENLI_MADDE_KULLANIM_SURESI,

USS270.SIGARA_KULLANIMI AS SIGARA_KULLANIMI_ID,
TSIGARA_KULLANIMI.AD AS SIGARA_KULLANIMI_ADI,


USS270.SIGARA_ADEDI AS SIGARA_ADEDI,

USS270.BIRINCIL_ILK_KULLANIM_YASI AS BIRINCIL_ILK_KULLANIM_YASI,
USS270.IKINCIL_ILK_KULLANIM_YASI AS IKINCIL_ILK_KULLANIM_YASI,
USS270.UCUNCUL_ILK_KULLANIM_YASI AS UCUNCUL_ILK_KULLANIM_YASI,
USS270.KULLANILAN_DIGER_MADDE_ILK_KULLANIM_YASI AS KULLANILAN_DIGER_MADDE_ILK_KULLANIM_YASI,

USS270.BIRINCIL_DUZENLI_MADDE_KULLANIM_SURESI AS BIRINCIL_DUZENLI_MADDE_KULLANIM_SURESI,
USS270.IKINCIL_DUZENLI_MADDE_KULLANIM_SURESI AS IKINCIL_DUZENLI_MADDE_KULLANIM_SURESI,
USS270.UCUNCUL_DUZENLI_MADDE_KULLANIM_SURESI AS UCUNCUL_DUZENLI_MADDE_KULLANIM_SURESI,
USS270.KULLANILAN_DIGER_MADDE_DUZENLI_MADDE_KULLANIM_SURESI AS KULLANILAN_DIGER_MADDE_DUZENLI_MADDE_KULLANIM_SURESI,

USS270.ONAM_AD AS ONAM_AD,
USS270.ONAM_SOYAD AS ONAM_SOYAD,
USS270.ONAM_TELEFON_NUMARASI AS ONAM_TELEFON_NUMARASI,


HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

INTO #TMPUSSDIGER 

FROM USS270_MADDE_BAGIMLILIGI_BILDIRIM AS USS270
INNER JOIN HDOSYA ON HDOSYA.HDOSYAID = USS270.HDOSYAID
LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID

LEFT JOIN 
(
SELECT 'HİÇ KULLANMAMIŞ' AS AD, 1 AS ID
UNION ALL
SELECT 'HERGÜN DÜZENLİ İÇİYOR', 2
UNION ALL
SELECT 'ARA SIRA İÇİYOR', 3
UNION ALL
SELECT 'ESKİ KULLANICI/BIRAKTI', 4

) TSIGARA_KULLANIMI ON TSIGARA_KULLANIMI.ID=USS270.SIGARA_KULLANIMI
LEFT JOIN 
(
SELECT 
    'HASTANIN KENDİSİ' AS AD,   1 AS ID
UNION ALL
SELECT     'HASTANIN YAKINI',    2

) TBILGI_ALINAN_KAYNAK ON TBILGI_ALINAN_KAYNAK.ID=USS270.BILGI_ALINAN_KAYNAK


LEFT JOIN
(
SELECT 
    'ÖNCEDEN DANIŞMA/TEDAVİ HİZMETİ ALMIŞ' AS AD,   1 AS ID
UNION ALL
SELECT     'ÖNCEDEN DANIŞMA/TEDAVİ HİZMETİ ALMAMIŞ',    2
) TDANISMA_TEDAVI_HIZMET_ALMA_DURUMU ON TDANISMA_TEDAVI_HIZMET_ALMA_DURUMU.ID=USS270.DANISMA_TEDAVI_HIZMET_ALMA_DURUMU

LEFT JOIN
(
SELECT 'EVET' AS AD,   1 AS ID
UNION ALL
SELECT 'HAYIR',    2
) TIKAME_TEDAVISI_GORME_DURUMU ON TIKAME_TEDAVISI_GORME_DURUMU.ID=USS270.IKAME_TEDAVISI_GORME_DURUMU

LEFT JOIN
(
SELECT 'VAR' AS AD,   1 AS ID
UNION ALL
SELECT 'YOK',         2
) TCEZAEVI_OYKUSU ON TCEZAEVI_OYKUSU.ID=USS270.CEZAEVI_OYKUSU

LEFT JOIN
(
SELECT 'OKURYAZAR DEĞİL' AS AD, 1 AS ID
UNION ALL
SELECT 'İLKÖĞRETİM', 10
UNION ALL
SELECT 'OKURYAZAR', 2

UNION ALL
SELECT 'İLKOKUL', 3
UNION ALL
SELECT 'ORTAOKUL', 4
UNION ALL
SELECT 'LİSE', 5

UNION ALL
SELECT 'ÖN LİSANS', 6
UNION ALL
SELECT 'LİSANS', 7
UNION ALL
SELECT 'YÜKSEK LİSANS', 8

UNION ALL
SELECT 'DOKTORA VE ÜSTÜ', 9
) TOGRENIM_DURUMU ON TOGRENIM_DURUMU.ID=USS270.OGRENIM_DURUMU


LEFT JOIN
(

SELECT 'BEKÂR' AS AD, 1 AS ID
UNION ALL
SELECT 'EVLİ (RESMEN EVLİ YA DA BİRLİKTE YAŞIYOR)', 2
UNION ALL
SELECT 'BOŞANMIŞ / DUL / AYRI YAŞIYOR', 3
UNION ALL
SELECT 'BELİRTİLMEDİ', 99
) TMEDENI_HALI ON TMEDENI_HALI.ID=USS270.MEDENI_HALI

LEFT JOIN
(
SELECT 'EVET' AS AD,   1 AS ID
UNION ALL
SELECT 'HAYIR',    2
) TSOSYAL_YARDIM_ALMA_DURUMU   ON   TSOSYAL_YARDIM_ALMA_DURUMU.ID     =USS270.SOSYAL_YARDIM_ALMA_DURUMU

LEFT JOIN
(
SELECT 'KENTSEL' AS AD,   1 AS ID
UNION ALL
SELECT 'KIRSAL',    2
) TYASADIGI_BOLGE   ON   TYASADIGI_BOLGE.ID     =USS270.YASADIGI_BOLGE

LEFT JOIN
(
SELECT 'BEDENSEL ENGELLİ' AS AD, 2 AS ID
UNION ALL
SELECT 'ZİHİNSEL ENGELLİ', 3
UNION ALL
SELECT 'GÖRME ENGELLİ', 4
UNION ALL
SELECT 'İŞİTME ENGELLİ', 5
UNION ALL
SELECT 'YOK', 97
UNION ALL
SELECT 'DİĞER', 98
UNION ALL
SELECT 'BELİRTİLMEDİ', 99
) TENGELLILIK_DURUMU   ON   TENGELLILIK_DURUMU.ID     =USS270.ENGELLILIK_DURUMU

LEFT JOIN
(
SELECT 'YALNIZ' AS AD, 1 AS ID
UNION ALL
SELECT 'ANNE VE/VEYA BABASIYLA BİRLİKTE', 20
UNION ALL
SELECT 'EŞİ İLE BİRLİKTE', 21
UNION ALL
SELECT 'GÖZETİM ALTINDA (CEZAEVİ)', 22
UNION ALL
SELECT 'BARINMA EVLERİNDE', 23
UNION ALL
SELECT 'ARKADAŞ İLE BİRLİKTE', 3
UNION ALL
SELECT 'BİR KURUMDA', 4

) TYASAM_BICIMI   ON   TYASAM_BICIMI.ID     =USS270.YASAM_BICIMI

LEFT JOIN
(
SELECT 'ÇOCUKLARIYLA BIRLIKTE YAŞAMIYOR' AS AD, 1 AS ID
UNION ALL
SELECT 'ÇOCUKLARIYLA BIRLIKTE YAŞIYOR', 2
UNION ALL
SELECT 'ÇOCUKLARI YOK', 3

) TCOCUKLARIYLA_YASAM_DURUMU   ON   TCOCUKLARIYLA_YASAM_DURUMU.ID     =USS270.COCUKLARIYLA_YASAM_DURUMU

LEFT JOIN
(
SELECT 'YAŞAMINDA EN AZ BİR DEFA ENJEKSİYON YOLU İLE MADDE KULLANIMI OLMUŞ, SON 1 YIL HARİÇ' AS AD, 20 AS ID
UNION ALL
SELECT 'SON 1 YIL İÇİNDE EN AZ BİR DEFA ENJEKSİYON YOLU İLE MADDE KULLANIMI OLMUŞ, SON 1 AY HARİÇ', 21
UNION ALL
SELECT 'SON 1 AY İÇİNDE EN AZ BİR DEFA ENJEKSİYON YOLU İLE MADDE KULLANIMI OLMUŞ', 22

) TYASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU   ON   TYASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU.ID     =USS270.YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU

LEFT JOIN
(
SELECT 'PAYLAŞMAMIŞ' AS AD, 1 AS ID
UNION ALL
SELECT 'SON 1 AY İÇİNDE PAYLAŞMIŞ', 2
UNION ALL
SELECT 'ÖMRÜNDE EN AZ BİR DEFA PAYLAŞMIŞ, SON 1 YIL HARİÇ', 20
UNION ALL
SELECT 'SON BİR YIL İÇİNDE EN AZ BİR DEFA PAYLAŞMIŞ, SON 1 AY HARİÇ', 21

) TENJEKTOR_PAYLASIM_DURUMU   ON   TENJEKTOR_PAYLASIM_DURUMU.ID     =USS270.ENJEKTOR_PAYLASIM_DURUMU

LEFT JOIN
(
SELECT 'ÖMRÜNDE EN AZ BIR DEFA TEST YAPILMIŞ, SON 1 YIL HARIÇ' AS AD, 1 AS ID
UNION ALL
SELECT 'SON BIR YIL IÇINDE EN AZ BIR DEFA TEST YAPILMIŞ, SON 1 AY HARIÇ', 2
UNION ALL
SELECT 'SON BIR AY IÇINDE EN AZ BIR DEFA TEST YAPILMIŞ', 3

) THIV_TEST_YAPILMA_DURUMU   ON   THIV_TEST_YAPILMA_DURUMU.ID     =USS270.HIV_TEST_YAPILMA_DURUMU

LEFT JOIN
(
SELECT 'ÖMRÜNDE EN AZ BIR DEFA TEST YAPILMIŞ, SON 1 YIL HARIÇ' AS AD, 1 AS ID
UNION ALL
SELECT 'SON BIR YIL IÇINDE EN AZ BIR DEFA TEST YAPILMIŞ, SON 1 AY HARIÇ', 2
UNION ALL
SELECT 'SON BIR AY IÇINDE EN AZ BIR DEFA TEST YAPILMIŞ', 3
) THCV_TEST_YAPILMA_DURUMU   ON   THCV_TEST_YAPILMA_DURUMU.ID     =USS270.HCV_TEST_YAPILMA_DURUMU

LEFT JOIN
(
SELECT 'ÖMRÜNDE EN AZ BIR DEFA TEST YAPILMIŞ, SON 1 YIL HARIÇ' AS AD, 1 AS ID
UNION ALL
SELECT 'SON BIR YIL IÇINDE EN AZ BIR DEFA TEST YAPILMIŞ, SON 1 AY HARIÇ', 2
UNION ALL
SELECT 'SON BIR AY IÇINDE EN AZ BIR DEFA TEST YAPILMIŞ', 3
) THBV_TEST_YAPILMA_DURUMU   ON   THBV_TEST_YAPILMA_DURUMU.ID     =USS270.HBV_TEST_YAPILMA_DURUMU

LEFT JOIN
(
SELECT 'TEDAVİ MERKEZİNE YÖNLENDİRİLDİ' AS AD, 20 AS ID
UNION ALL
SELECT 'SOSYAL UYUM MERKEZİNE YÖNLENDİRİLDİ', 21
UNION ALL
SELECT 'REHABİLİTASYON MERKEZİNE YÖNLENDİRİLDİ', 22
UNION ALL
SELECT 'İŞKURA YÖNLENDİRİLDİ', 23
UNION ALL
SELECT 'DANIŞMANLIK HİZMETİ VERİLDİ', 24
UNION ALL
SELECT 'DANIŞMANLIK HİZMETİ VERİLDİ VE TAKİBE ALINDI', 25

) TGORUSME_SONUCU   ON   TGORUSME_SONUCU.ID     =USS270.GORUSME_SONUCU

LEFT JOIN
(
SELECT 'KENDİSİ' AS AD, 1 AS ID
UNION ALL
SELECT 'MAHKEME', 11
UNION ALL
SELECT 'AİLESİ / ARKADAŞI', 2
UNION ALL
SELECT 'DIĞER UYUŞTURUCU DANIŞMA/TEDAVI MERKEZLERI', 20
UNION ALL
SELECT 'PSIKIYATRI SERVISI/ACIL SERVIS', 21
UNION ALL
SELECT 'EĞITIM BIRIMLERI', 22
UNION ALL
SELECT 'SOSYAL UYUM MERKEZI/BELEDIYELER/REHABILITASYON MERKEZLERI/STK', 23
UNION ALL
SELECT 'ALO 191 DANIŞMA HATTI', 24
UNION ALL
SELECT 'PRATİSYEN HEKİM', 3
UNION ALL
SELECT 'KOLLUK KUVVETİ', 5
UNION ALL
SELECT 'AİLE HEKİMİ', 6
UNION ALL
SELECT 'DENETİMLİ SERBESTLİK', 7
UNION ALL
SELECT 'DİĞER (KAMU KURUM VE KURULUŞLARI, MEDYA ILETIŞIM ARAÇLARI VB.)', 98

) TGONDEREN_BIRIM   ON   TGONDEREN_BIRIM.ID     =USS270.GONDEREN_BIRIM

LEFT JOIN
(
SELECT 'ÇALIŞMIYOR (İŞSİZ)' AS AD, 1 AS ID
UNION ALL
SELECT 'TAM ZAMANLI (DÜZENLİ İŞİ VAR)', 2
UNION ALL
SELECT 'YARI ZAMANLI (DÜZENLİ İŞİ VAR)', 3
UNION ALL
SELECT 'DÜZENLİ İŞİ YOK', 4
UNION ALL
SELECT 'ÖĞRENCİ', 5
UNION ALL
SELECT 'EMEKLİ', 6
UNION ALL
SELECT 'EV HANIMI', 7

) TIS_DURUMU   ON   TIS_DURUMU.ID     =USS270.IS_DURUMU

LEFT JOIN
(
SELECT 'SABİT KONAKLAMA' AS AD, 1 AS ID
UNION ALL
SELECT 'SABİT OLMAYAN KONAKLAMA', 2
) TYASAM_ORTAMI   ON   TYASAM_ORTAMI.ID     =USS270.YASAM_ORTAMI

LEFT JOIN
(
SELECT 'EVET' AS AD,   1 AS ID
UNION ALL
SELECT 'HAYIR',    2
) TMADDE_BAGIMLILIGI_ONAM_ALINDI_MI   ON   TMADDE_BAGIMLILIGI_ONAM_ALINDI_MI.ID     =USS270.MADDE_BAGIMLILIGI_ONAM_ALINDI_MI

LEFT JOIN
(
SELECT 'HIV POZİTİF' AS AD, 10 AS ID
UNION ALL
SELECT 'HIV TESTİ YAPILMAMIŞ', 11
UNION ALL
SELECT 'TÜBERKÜLOZ NEGATİF', 12
UNION ALL
SELECT 'TÜBERKÜLOZ POZİTİF', 13
UNION ALL
SELECT 'TÜBERKÜLOZ TESTİ YAPILMAMIŞ', 14
UNION ALL
SELECT 'ANAL SİĞİL NEGATİF', 15
UNION ALL
SELECT 'ANAL SİĞİL POZİTİF', 16
UNION ALL
SELECT 'ANAL SİĞİL TESTİ YAPILMADI', 17
UNION ALL
SELECT 'GONORE NEGATİF', 18
UNION ALL
SELECT 'GONORE POZİTİF', 19
UNION ALL
SELECT 'GONORE TESTİ YAPILMADI', 20
UNION ALL
SELECT 'KLAMİDYA NEGATİF', 21
UNION ALL
SELECT 'KLAMİDYA POZİTİF', 22
UNION ALL
SELECT 'KLAMİDYA TESTİ YAPILMADI', 23
UNION ALL
SELECT 'SİFİLİZ NEGATİF', 24
UNION ALL
SELECT 'SİFİLİZ POZİTİF', 25
UNION ALL
SELECT 'SİFİLİZ TESTİ YAPILMADI', 26
UNION ALL
SELECT 'TRİKOMONAS NEGATİF', 27
UNION ALL
SELECT 'TRİKOMONAS POZİTİF', 28
UNION ALL
SELECT 'TRİKOMONAS TESTİ YAPILMADI', 29
UNION ALL
SELECT 'HBV NEGATİF', 3
UNION ALL
SELECT 'KASIK BİTİ NEGATİF', 30
UNION ALL
SELECT 'KASIK BİTİ POZİTİF', 31
UNION ALL
SELECT 'KASIK BİTİ TESTİ YAPILMADI', 32
UNION ALL
SELECT 'GENİTAL HERPES NEGATİF', 33
UNION ALL
SELECT 'GENİTAL HERPES POZİTİF', 34
UNION ALL
SELECT 'GENİTAL HERPES TESTİ YAPILMADI', 35
UNION ALL
SELECT 'HPV İNSAN PAPİLLOMA VİRÜSÜ NEGATİF', 36
UNION ALL
SELECT 'HPV İNSAN PAPİLLOMA VİRÜSÜ POZİTİF', 37
UNION ALL
SELECT 'HPV İNSAN PAPİLLOMA VİRÜSÜ TESTİ YAPILMADI', 38
UNION ALL
SELECT 'HBV POZİTİF', 4
UNION ALL
SELECT 'HBV TESTİ YAPILMAMIŞ', 5
UNION ALL
SELECT 'HCV NEGATİF', 6
UNION ALL
SELECT 'HCV POZİTİF', 7
UNION ALL
SELECT 'HCV TESTİ YAPILMAMIŞ', 8
UNION ALL
SELECT 'HIV NEGATİF', 9
) TBULASICI_HASTALIK_DURUMU   ON   TBULASICI_HASTALIK_DURUMU.ID     =USS270.BULASICI_HASTALIK_DURUMU

LEFT JOIN
(
SELECT 'İKAME TEDAVİSİ' AS AD, 20 AS ID
UNION ALL
SELECT 'DİĞER MEDİKAL', 21
UNION ALL
SELECT 'PSİKOTERAPİ TEDAVİSİ', 22

) TTEDAVI_TIPI   ON   TTEDAVI_TIPI.ID     =USS270.TEDAVI_TIPI

LEFT JOIN
(
SELECT 'HAFTADA 1 GÜN VEYA DAHA AZ' AS AD, 2 AS ID
UNION ALL
SELECT 'HAFTADA 2-3 GÜN', 20
UNION ALL
SELECT 'HAFTADA 4-6 GÜN', 21
UNION ALL
SELECT 'SON 30 GÜNDE KULLANMAMIŞ', 22
UNION ALL
SELECT 'HER GÜN', 4

) TBIRINCIL_MADDE_KULLANIM_SIKLIGI   ON   TBIRINCIL_MADDE_KULLANIM_SIKLIGI.ID     =USS270.BIRINCIL_MADDE_KULLANIM_SIKLIGI

LEFT JOIN 
(
SELECT 'HAFTADA 1 GÜN VEYA DAHA AZ' AS AD, 2 AS ID
UNION ALL
SELECT 'HAFTADA 2-3 GÜN', 20
UNION ALL
SELECT 'HAFTADA 4-6 GÜN', 21
UNION ALL
SELECT 'SON 30 GÜNDE KULLANMAMIŞ', 22
UNION ALL
SELECT 'HER GÜN', 4

) TIKINCIL_MADDE_KULLANIM_SIKLIGI   ON   TIKINCIL_MADDE_KULLANIM_SIKLIGI.ID     =USS270.IKINCIL_MADDE_KULLANIM_SIKLIGI
LEFT JOIN
(
SELECT 'HAFTADA 1 GÜN VEYA DAHA AZ' AS AD, 2 AS ID
UNION ALL
SELECT 'HAFTADA 2-3 GÜN', 20
UNION ALL
SELECT 'HAFTADA 4-6 GÜN', 21
UNION ALL
SELECT 'SON 30 GÜNDE KULLANMAMIŞ', 22
UNION ALL
SELECT 'HER GÜN', 4

) TUCUNCUL_MADDE_KULLANIM_SIKLIGI   ON   TUCUNCUL_MADDE_KULLANIM_SIKLIGI.ID     =USS270.UCUNCUL_MADDE_KULLANIM_SIKLIGI

LEFT JOIN
(
SELECT 'HAFTADA 1 GÜN VEYA DAHA AZ' AS AD, 2 AS ID
UNION ALL
SELECT 'HAFTADA 2-3 GÜN', 20
UNION ALL
SELECT 'HAFTADA 4-6 GÜN', 21
UNION ALL
SELECT 'SON 30 GÜNDE KULLANMAMIŞ', 22
UNION ALL
SELECT 'HER GÜN', 4

) TKULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI   ON   TKULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI.ID     =USS270.KULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI

LEFT JOIN
(
SELECT 'METADON' AS AD, 12 AS ID
UNION ALL
SELECT 'AFYON SAKIZI', 15
UNION ALL
SELECT 'BUPRENORFIN', 19
UNION ALL
SELECT 'ALKOL', 2
UNION ALL
SELECT 'AMFETAMINLER', 25
UNION ALL
SELECT 'CAPTAGON', 29
UNION ALL
SELECT 'BALİ', 3
UNION ALL
SELECT 'TİNER', 4
UNION ALL
SELECT 'LSD', 40
UNION ALL
SELECT 'ÇAKMAK GAZI / TÜPGAZ', 45
UNION ALL
SELECT 'BENZİN', 46
UNION ALL
SELECT 'ESRAR', 5
UNION ALL
SELECT 'EKSTAZİ (MDMA)', 6
UNION ALL
SELECT 'METAMFETAMIN', 62
UNION ALL
SELECT 'EROİN', 7
UNION ALL
SELECT 'KOKAİN', 8
UNION ALL
SELECT 'KHAT', 80
UNION ALL
SELECT 'DİĞER STİMÜLANLAR', 81
UNION ALL
SELECT 'FENTANYL', 82
UNION ALL
SELECT 'TRADAMOL', 83
UNION ALL
SELECT 'DİĞER MORFİN/OPİOİD TÜREVLERİ', 84
UNION ALL
SELECT 'KODEİN İÇEREN/İLAÇLAR', 85
UNION ALL
SELECT 'GHB/GBL (GAMMA-HİDROKSİBÜTRAT)', 86
UNION ALL
SELECT 'SENTETİK KANNABİNOİDLER', 87
UNION ALL
SELECT 'SELVİA', 88
UNION ALL
SELECT 'KETAMİN', 89
UNION ALL
SELECT 'BENZODİAZEPİNLER', 9
UNION ALL
SELECT 'PSİKOAKTİF MANTARLAR', 90
UNION ALL
SELECT 'DİĞER HALİSİNOJENLER', 91
UNION ALL
SELECT 'SENTETİK KATİNONLAR', 92
UNION ALL
SELECT 'GABAPENTİN/PREGABALİN', 93
UNION ALL
SELECT 'AKİNETON', 94
) TBIRINCIL_KULLANILAN_MADDE   ON   TBIRINCIL_KULLANILAN_MADDE.ID     =USS270.BIRINCIL_KULLANILAN_MADDE

LEFT JOIN
(
SELECT 'METADON' AS AD, 12 AS ID
UNION ALL
SELECT 'AFYON SAKIZI', 15
UNION ALL
SELECT 'BUPRENORFIN', 19
UNION ALL
SELECT 'ALKOL', 2
UNION ALL
SELECT 'AMFETAMINLER', 25
UNION ALL
SELECT 'CAPTAGON', 29
UNION ALL
SELECT 'BALİ', 3
UNION ALL
SELECT 'TİNER', 4
UNION ALL
SELECT 'LSD', 40
UNION ALL
SELECT 'ÇAKMAK GAZI / TÜPGAZ', 45
UNION ALL
SELECT 'BENZİN', 46
UNION ALL
SELECT 'ESRAR', 5
UNION ALL
SELECT 'EKSTAZİ (MDMA)', 6
UNION ALL
SELECT 'METAMFETAMIN', 62
UNION ALL
SELECT 'EROİN', 7
UNION ALL
SELECT 'KOKAİN', 8
UNION ALL
SELECT 'KHAT', 80
UNION ALL
SELECT 'DİĞER STİMÜLANLAR', 81
UNION ALL
SELECT 'FENTANYL', 82
UNION ALL
SELECT 'TRADAMOL', 83
UNION ALL
SELECT 'DİĞER MORFİN/OPİOİD TÜREVLERİ', 84
UNION ALL
SELECT 'KODEİN İÇEREN/İLAÇLAR', 85
UNION ALL
SELECT 'GHB/GBL (GAMMA-HİDROKSİBÜTRAT)', 86
UNION ALL
SELECT 'SENTETİK KANNABİNOİDLER', 87
UNION ALL
SELECT 'SELVİA', 88
UNION ALL
SELECT 'KETAMİN', 89
UNION ALL
SELECT 'BENZODİAZEPİNLER', 9
UNION ALL
SELECT 'PSİKOAKTİF MANTARLAR', 90
UNION ALL
SELECT 'DİĞER HALİSİNOJENLER', 91
UNION ALL
SELECT 'SENTETİK KATİNONLAR', 92
UNION ALL
SELECT 'GABAPENTİN/PREGABALİN', 93
UNION ALL
SELECT 'AKİNETON', 94
) TIKINCIL_KULLANILAN_MADDE   ON   TIKINCIL_KULLANILAN_MADDE.ID     =USS270.IKINCIL_KULLANILAN_MADDE

LEFT JOIN
(
SELECT 'METADON' AS AD, 12 AS ID
UNION ALL
SELECT 'AFYON SAKIZI', 15
UNION ALL
SELECT 'BUPRENORFIN', 19
UNION ALL
SELECT 'ALKOL', 2
UNION ALL
SELECT 'AMFETAMINLER', 25
UNION ALL
SELECT 'CAPTAGON', 29
UNION ALL
SELECT 'BALİ', 3
UNION ALL
SELECT 'TİNER', 4
UNION ALL
SELECT 'LSD', 40
UNION ALL
SELECT 'ÇAKMAK GAZI / TÜPGAZ', 45
UNION ALL
SELECT 'BENZİN', 46
UNION ALL
SELECT 'ESRAR', 5
UNION ALL
SELECT 'EKSTAZİ (MDMA)', 6
UNION ALL
SELECT 'METAMFETAMIN', 62
UNION ALL
SELECT 'EROİN', 7
UNION ALL
SELECT 'KOKAİN', 8
UNION ALL
SELECT 'KHAT', 80
UNION ALL
SELECT 'DİĞER STİMÜLANLAR', 81
UNION ALL
SELECT 'FENTANYL', 82
UNION ALL
SELECT 'TRADAMOL', 83
UNION ALL
SELECT 'DİĞER MORFİN/OPİOİD TÜREVLERİ', 84
UNION ALL
SELECT 'KODEİN İÇEREN/İLAÇLAR', 85
UNION ALL
SELECT 'GHB/GBL (GAMMA-HİDROKSİBÜTRAT)', 86
UNION ALL
SELECT 'SENTETİK KANNABİNOİDLER', 87
UNION ALL
SELECT 'SELVİA', 88
UNION ALL
SELECT 'KETAMİN', 89
UNION ALL
SELECT 'BENZODİAZEPİNLER', 9
UNION ALL
SELECT 'PSİKOAKTİF MANTARLAR', 90
UNION ALL
SELECT 'DİĞER HALİSİNOJENLER', 91
UNION ALL
SELECT 'SENTETİK KATİNONLAR', 92
UNION ALL
SELECT 'GABAPENTİN/PREGABALİN', 93
UNION ALL
SELECT 'AKİNETON', 94
) TUCUNCUL_KULLANILAN_MADDE   ON   TUCUNCUL_KULLANILAN_MADDE.ID     =USS270.UCUNCUL_KULLANILAN_MADDE

LEFT JOIN
(
SELECT 'METADON' AS AD, 12 AS ID
UNION ALL
SELECT 'AFYON SAKIZI', 15
UNION ALL
SELECT 'BUPRENORFIN', 19
UNION ALL
SELECT 'ALKOL', 2
UNION ALL
SELECT 'AMFETAMINLER', 25
UNION ALL
SELECT 'CAPTAGON', 29
UNION ALL
SELECT 'BALİ', 3
UNION ALL
SELECT 'TİNER', 4
UNION ALL
SELECT 'LSD', 40
UNION ALL
SELECT 'ÇAKMAK GAZI / TÜPGAZ', 45
UNION ALL
SELECT 'BENZİN', 46
UNION ALL
SELECT 'ESRAR', 5
UNION ALL
SELECT 'EKSTAZİ (MDMA)', 6
UNION ALL
SELECT 'METAMFETAMIN', 62
UNION ALL
SELECT 'EROİN', 7
UNION ALL
SELECT 'KOKAİN', 8
UNION ALL
SELECT 'KHAT', 80
UNION ALL
SELECT 'DİĞER STİMÜLANLAR', 81
UNION ALL
SELECT 'FENTANYL', 82
UNION ALL
SELECT 'TRADAMOL', 83
UNION ALL
SELECT 'DİĞER MORFİN/OPİOİD TÜREVLERİ', 84
UNION ALL
SELECT 'KODEİN İÇEREN/İLAÇLAR', 85
UNION ALL
SELECT 'GHB/GBL (GAMMA-HİDROKSİBÜTRAT)', 86
UNION ALL
SELECT 'SENTETİK KANNABİNOİDLER', 87
UNION ALL
SELECT 'SELVİA', 88
UNION ALL
SELECT 'KETAMİN', 89
UNION ALL
SELECT 'BENZODİAZEPİNLER', 9
UNION ALL
SELECT 'PSİKOAKTİF MANTARLAR', 90
UNION ALL
SELECT 'DİĞER HALİSİNOJENLER', 91
UNION ALL
SELECT 'SENTETİK KATİNONLAR', 92
UNION ALL
SELECT 'GABAPENTİN/PREGABALİN', 93
UNION ALL
SELECT 'AKİNETON', 94
) TKULLANILAN_DIGER_MADDE   ON   TKULLANILAN_DIGER_MADDE.ID     =USS270.KULLANILAN_DIGER_MADDE

LEFT JOIN
(
SELECT 'ENJEKSİYON' AS AD, 1 AS ID
UNION ALL
SELECT 'ÇEKME/SOLUMA', 20
UNION ALL
SELECT 'BURUNDAN ÇEKME', 21
UNION ALL
SELECT 'YEME/İÇME', 3
UNION ALL
SELECT 'DİĞER', 98

) TBIRINCIL_MADDE_KULLANIM_YOLU   ON   TBIRINCIL_MADDE_KULLANIM_YOLU.ID     =USS270.BIRINCIL_MADDE_KULLANIM_YOLU


LEFT JOIN
(
SELECT 'ENJEKSİYON' AS AD, 1 AS ID
UNION ALL
SELECT 'ÇEKME/SOLUMA', 20
UNION ALL
SELECT 'BURUNDAN ÇEKME', 21
UNION ALL
SELECT 'YEME/İÇME', 3
UNION ALL
SELECT 'DİĞER', 98

) TIKINCIL_MADDE_KULLANIM_YOLU   ON   TIKINCIL_MADDE_KULLANIM_YOLU.ID     =USS270.IKINCIL_MADDE_KULLANIM_YOLU

LEFT JOIN
(
SELECT 'ENJEKSİYON' AS AD, 1 AS ID
UNION ALL
SELECT 'ÇEKME/SOLUMA', 20
UNION ALL
SELECT 'BURUNDAN ÇEKME', 21
UNION ALL
SELECT 'YEME/İÇME', 3
UNION ALL
SELECT 'DİĞER', 98

) TUCUNCUL_MADDE_KULLANIM_YOLU   ON   TUCUNCUL_MADDE_KULLANIM_YOLU.ID     =USS270.UCUNCUL_MADDE_KULLANIM_YOLU

LEFT JOIN
(
SELECT 'ENJEKSİYON' AS AD, 1 AS ID
UNION ALL
SELECT 'ÇEKME/SOLUMA', 20
UNION ALL
SELECT 'BURUNDAN ÇEKME', 21
UNION ALL
SELECT 'YEME/İÇME', 3
UNION ALL
SELECT 'DİĞER', 98

) TKULLANILAN_DIGER_MADDE_KULLANIM_YOLU   ON   TKULLANILAN_DIGER_MADDE_KULLANIM_YOLU.ID     =USS270.KULLANILAN_DIGER_MADDE_KULLANIM_YOLU

--**************************************


WHERE USS270.HMUAYENEID= @HMUAYENEID AND USS270.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USSDIGER_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USSDIGER_ID FROM #TMPUSSDIGER WHERE  ISNULL(USSDIGER_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '


					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USSDIGER_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(
									
										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '270' AS 'messageType/@code',
										   'Madde Bagimliligi Bildirim Veri Seti' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														 SELECT
														 (
														   SELECT

														   -- BILGI_ALINAN_KAYNAK
														   '1' AS 'BILGI_ALINAN_KAYNAK/@version',
														   'e5d4c5c5-d126-4647-b6a0-38312545568b' AS 'BILGI_ALINAN_KAYNAK/@codeSystemGuid',
														   BILGI_ALINAN_KAYNAK_ID  AS 'BILGI_ALINAN_KAYNAK/@code',
														   BILGI_ALINAN_KAYNAK_ADI AS 'BILGI_ALINAN_KAYNAK/@value',

														   -- DANISMA_TEDAVI_HIZMET_ALMA_DURUMU
														   '1' AS 'DANISMA_TEDAVI_HIZMET_ALMA_DURUMU/@version',
														   '863e0ea1-9308-40c4-ac4f-b80fe4017e1e' AS 'DANISMA_TEDAVI_HIZMET_ALMA_DURUMU/@codeSystemGuid',
														   DANISMA_TEDAVI_HIZMET_ALMA_DURUMU_ID  AS 'DANISMA_TEDAVI_HIZMET_ALMA_DURUMU/@code',
														   DANISMA_TEDAVI_HIZMET_ALMA_DURUMU_ADI AS 'DANISMA_TEDAVI_HIZMET_ALMA_DURUMU/@value',

														   -- DANISMA_TEDAVI_HIZMETI_ALMA_ZAMANI
														   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),
														   DANISMA_TEDAVI_HIZMETI_ALMA_ZAMANI,120),' ',''),'-',''),':',''),12)
														   AS 'DANISMA_TEDAVI_HIZMETI_ALMA_ZAMANI/@value',

														   -- IKAME_TEDAVISI_GORME_DURUMU
														   '1' AS 'IKAME_TEDAVISI_GORME_DURUMU/@version',
														   'f6d457e0-f1d4-468e-a6ba-67b32ab7b49f' AS 'IKAME_TEDAVISI_GORME_DURUMU/@codeSystemGuid',
														   IKAME_TEDAVISI_GORME_DURUMU_ID  AS 'IKAME_TEDAVISI_GORME_DURUMU/@code',
														   IKAME_TEDAVISI_GORME_DURUMU_ADI AS 'IKAME_TEDAVISI_GORME_DURUMU/@value',

														   -- EN_SON_IKAME_TEDAVISI_GORME_ZAMANI
														   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),
														   EN_SON_IKAME_TEDAVISI_GORME_ZAMANI,120),' ',''),'-',''),':',''),12)
														   AS 'EN_SON_IKAME_TEDAVISI_GORME_ZAMANI/@value',

														   -- CEZAEVI_OYKUSU
														   '1' AS 'CEZAEVI_OYKUSU/@version',
														   '7652e54e-281c-464b-bf8a-ca94c90058e0' AS 'CEZAEVI_OYKUSU/@codeSystemGuid',
														   CEZAEVI_OYKUSU_ID  AS 'CEZAEVI_OYKUSU/@code',
														   CEZAEVI_OYKUSU_ADI AS 'CEZAEVI_OYKUSU/@value',

														   -- OGRENIM_DURUMU
														   '1' AS 'OGRENIM_DURUMU/@version',
														   '3cdc2ba0-03de-46f4-8ace-684c94712349' AS 'OGRENIM_DURUMU/@codeSystemGuid',
														   OGRENIM_DURUMU_ID  AS 'OGRENIM_DURUMU/@code',
														   OGRENIM_DURUMU_ADI AS 'OGRENIM_DURUMU/@value',

														   -- MEDENI_HALI
														   '1' AS 'MEDENI_HALI/@version',
														   '600a900d-974b-48a3-bf2a-a8fc4752f57c' AS 'MEDENI_HALI/@codeSystemGuid',
														   MEDENI_HALI_ID  AS 'MEDENI_HALI/@code',
														   MEDENI_HALI_ADI AS 'MEDENI_HALI/@value',

														   -- HIV_TEST_YAPILMA_DURUMU
														   '1' AS 'HIV_TEST_YAPILMA_DURUMU/@version',
														   '86421817-4c0b-4e69-93ee-8e874a7dcd4f' AS 'HIV_TEST_YAPILMA_DURUMU/@codeSystemGuid',
														   HIV_TEST_YAPILMA_DURUMU_ID  AS 'HIV_TEST_YAPILMA_DURUMU/@code',
														   HIV_TEST_YAPILMA_DURUMU_ADI AS 'HIV_TEST_YAPILMA_DURUMU/@value',
														   -- HCV
'1' AS 'HCV_TEST_YAPILMA_DURUMU/@version',
'86421817-4c0b-4e69-93ee-8e874a7dcd4f' AS 'HCV_TEST_YAPILMA_DURUMU/@codeSystemGuid',
HCV_TEST_YAPILMA_DURUMU_ID  AS 'HCV_TEST_YAPILMA_DURUMU/@code',
HCV_TEST_YAPILMA_DURUMU_ADI AS 'HCV_TEST_YAPILMA_DURUMU/@value',

-- HBV
'1' AS 'HBV_TEST_YAPILMA_DURUMU/@version',
'86421817-4c0b-4e69-93ee-8e874a7dcd4f' AS 'HBV_TEST_YAPILMA_DURUMU/@codeSystemGuid',
HBV_TEST_YAPILMA_DURUMU_ID  AS 'HBV_TEST_YAPILMA_DURUMU/@code',
HBV_TEST_YAPILMA_DURUMU_ADI AS 'HBV_TEST_YAPILMA_DURUMU/@value',

-- GORUSME_SONUCU
'1' AS 'GORUSME_SONUCU/@version',
'd321b039-82fd-4bd2-b906-44dda0258ab6' AS 'GORUSME_SONUCU/@codeSystemGuid',
GORUSME_SONUCU_ID  AS 'GORUSME_SONUCU/@code',
GORUSME_SONUCU_ADI AS 'GORUSME_SONUCU/@value',

-- GONDEREN_BIRIM
'1' AS 'GONDEREN_BIRIM/@version',
'0368428a-5077-49c2-a1eb-99d26a210c3d' AS 'GONDEREN_BIRIM/@codeSystemGuid',
GONDEREN_BIRIM_ID  AS 'GONDEREN_BIRIM/@code',
GONDEREN_BIRIM_ADI AS 'GONDEREN_BIRIM/@value',

-- IS_DURUMU
'1' AS 'IS_DURUMU/@version',
'c5a44219-28d5-4963-984c-93f56e51cfbd' AS 'IS_DURUMU/@codeSystemGuid',
IS_DURUMU_ID  AS 'IS_DURUMU/@code',
IS_DURUMU_ADI AS 'IS_DURUMU/@value',

-- YASAM_ORTAMI
'1' AS 'YASAM_ORTAMI/@version',
'da739cf7-c6ef-4b38-bf47-fa7237a48f8a' AS 'YASAM_ORTAMI/@codeSystemGuid',
YASAM_ORTAMI_ID  AS 'YASAM_ORTAMI/@code',
YASAM_ORTAMI_ADI AS 'YASAM_ORTAMI/@value',

-- MADDE_BAGIMLILIGI_ONAM_ALINDI_MI
'1' AS 'MADDE_BAGIMLILIGI_ONAM_ALINDI_MI/@version',
'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'MADDE_BAGIMLILIGI_ONAM_ALINDI_MI/@codeSystemGuid',
MADDE_BAGIMLILIGI_ONAM_ALINDI_MI_ID  AS 'MADDE_BAGIMLILIGI_ONAM_ALINDI_MI/@code',
MADDE_BAGIMLILIGI_ONAM_ALINDI_MI_ADI AS 'MADDE_BAGIMLILIGI_ONAM_ALINDI_MI/@value',
---

ENJEKSIYON_YOLU_ILE_ILK_MADDE_KULLANIM_YASI
AS 'ENJEKSIYON_YOLU_ILE_ILK_MADDE_KULLANIM_YASI/@value',

ILK_ENJEKTOR_PAYLASIM_YASI
AS 'ILK_ENJEKTOR_PAYLASIM_YASI/@value'
,

-- SOSYAL_YARDIM_ALMA_DURUMU
'1' AS 'SOSYAL_YARDIM_ALMA_DURUMU/@version',
'd2417805-9407-4bea-bc1f-7b6bfbde800a' AS 'SOSYAL_YARDIM_ALMA_DURUMU/@codeSystemGuid',
SOSYAL_YARDIM_ALMA_DURUMU_ID  AS 'SOSYAL_YARDIM_ALMA_DURUMU/@code',
SOSYAL_YARDIM_ALMA_DURUMU_ADI AS 'SOSYAL_YARDIM_ALMA_DURUMU/@value',

-- YASADIGI_BOLGE
'1' AS 'YASADIGI_BOLGE/@version',
'730ea962-cf11-427b-b530-02abbfbc182f' AS 'YASADIGI_BOLGE/@codeSystemGuid',
YASADIGI_BOLGE_ID  AS 'YASADIGI_BOLGE/@code',
YASADIGI_BOLGE_ADI AS 'YASADIGI_BOLGE/@value',

-- ENGELLILIK_DURUMU
'1' AS 'ENGELLILIK_DURUMU/@version',
'199cf767-f649-4c99-8b14-8c988515093f' AS 'ENGELLILIK_DURUMU/@codeSystemGuid',
ENGELLILIK_DURUMU_ID  AS 'ENGELLILIK_DURUMU/@code',
ENGELLILIK_DURUMU_ADI AS 'ENGELLILIK_DURUMU/@value',

-- YASAM_BICIMI
'1' AS 'YASAM_BICIMI/@version',
'13c79df8-e9f0-4003-9590-71b888b5d0bb' AS 'YASAM_BICIMI/@codeSystemGuid',
YASAM_BICIMI_ID  AS 'YASAM_BICIMI/@code',
YASAM_BICIMI_ADI AS 'YASAM_BICIMI/@value',

-- COCUKLARIYLA_YASAM_DURUMU
'1' AS 'COCUKLARIYLA_YASAM_DURUMU/@version',
'12ac02cd-8f98-4e60-ac8f-bc98ec493f18' AS 'COCUKLARIYLA_YASAM_DURUMU/@codeSystemGuid',
COCUKLARIYLA_YASAM_DURUMU_ID  AS 'COCUKLARIYLA_YASAM_DURUMU/@code',
COCUKLARIYLA_YASAM_DURUMU_ADI AS 'COCUKLARIYLA_YASAM_DURUMU/@value',

-- YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU
'1' AS 'YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU/@version',
'90cd6c8d-e752-46aa-a6b2-f95261ca9889' AS 'YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU/@codeSystemGuid',
YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU_ID  AS 'YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU/@code',
YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU_ADI AS 'YASAMINDA_ENJEKSIYON_YOLU_ILE_MADDE_KULLANIM_DURUMU/@value',

-- ENJEKSIYON_YOLU_ILE_ILK_MADDE_KULLANIM_YASI (value tip)
ENJEKSIYON_YOLU_ILE_ILK_MADDE_KULLANIM_YASI 
AS 'ENJEKSIYON_YOLU_ILE_ILK_MADDE_KULLANIM_YASI/@value',

-- ENJEKTOR_PAYLASIM_DURUMU
'1' AS 'ENJEKTOR_PAYLASIM_DURUMU/@version',
'd7420140-0e59-4e86-9fee-ceb0baa66418' AS 'ENJEKTOR_PAYLASIM_DURUMU/@codeSystemGuid',
ENJEKTOR_PAYLASIM_DURUMU_ID  AS 'ENJEKTOR_PAYLASIM_DURUMU/@code',
ENJEKTOR_PAYLASIM_DURUMU_ADI AS 'ENJEKTOR_PAYLASIM_DURUMU/@value',

-- ILK_ENJEKTOR_PAYLASIM_YASI (value tip)
ILK_ENJEKTOR_PAYLASIM_YASI 
AS 'ILK_ENJEKTOR_PAYLASIM_YASI/@value',




---BULASICI_HASTALIK_DURUMU_BILGISI
'1' AS 'BULASICI_HASTALIK_DURUMU_BILGISI/BULASICI_HASTALIK_DURUMU/@version',
'881d1b19-1779-40f4-8324-898bdd968f2e' AS 'BULASICI_HASTALIK_DURUMU_BILGISI/BULASICI_HASTALIK_DURUMU/@codeSystemGuid',
BULASICI_HASTALIK_DURUMU_ID AS 'BULASICI_HASTALIK_DURUMU_BILGISI/BULASICI_HASTALIK_DURUMU/@code',
BULASICI_HASTALIK_DURUMU_ADI AS 'BULASICI_HASTALIK_DURUMU_BILGISI/BULASICI_HASTALIK_DURUMU/@value',

--BASLANAN_TEDAVI_TIPI_BILGISI
'1' AS 'BASLANAN_TEDAVI_TIPI_BILGISI/TEDAVI_TIPI/@version',
'67654983-7af8-4e08-a8fd-d90061cb4725' AS 'BASLANAN_TEDAVI_TIPI_BILGISI/TEDAVI_TIPI/@codeSystemGuid',
TEDAVI_TIPI_ID  AS 'BASLANAN_TEDAVI_TIPI_BILGISI/TEDAVI_TIPI/@code',
TEDAVI_TIPI_ADI AS 'BASLANAN_TEDAVI_TIPI_BILGISI/TEDAVI_TIPI/@value'
,



-- KULLANILAN_ESAS_MADDE_BILGISI
'1' AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@version',
'45231382-8544-4b19-b518-0b196d594993' AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@codeSystemGuid',
BIRINCIL_MADDE_KULLANIM_SIKLIGI_ID AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@code',
BIRINCIL_MADDE_KULLANIM_SIKLIGI_ADI AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@value',

-- BIRINCIL_KULLANILAN_MADDE
'1' AS 'KULLANILAN_ESAS_MADDE_BILGISI/BIRINCIL_KULLANILAN_MADDE/@version',
'59722280-d12c-4adf-b184-1a5349076211' AS 'KULLANILAN_ESAS_MADDE_BILGISI/BIRINCIL_KULLANILAN_MADDE/@codeSystemGuid',
BIRINCIL_KULLANILAN_MADDE_ID AS 'KULLANILAN_ESAS_MADDE_BILGISI/BIRINCIL_KULLANILAN_MADDE/@code',
BIRINCIL_KULLANILAN_MADDE_ADI AS 'KULLANILAN_ESAS_MADDE_BILGISI/BIRINCIL_KULLANILAN_MADDE/@value',

-- VALUE alanlar
BIRINCIL_ILK_KULLANIM_YASI AS 'KULLANILAN_ESAS_MADDE_BILGISI/ILK_KULLANIM_YASI/@value',
BIRINCIL_DUZENLI_MADDE_KULLANIM_SURESI AS 'KULLANILAN_ESAS_MADDE_BILGISI/DUZENLI_MADDE_KULLANIM_SURESI/@value',

-- MADDE_KULLANIM_YOLU (tekli ise)
'1' AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@version',
'6f295203-2ef1-4ebc-915d-6382829330fc' AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@codeSystemGuid',
BIRINCIL_MADDE_KULLANIM_YOLU_ID AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@code',
BIRINCIL_MADDE_KULLANIM_YOLU_ADI AS 'KULLANILAN_ESAS_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@value',


-- MADDE_KULLANIM_SIKLIGI
'1' AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@version',
'45231382-8544-4b19-b518-0b196d594993' AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@codeSystemGuid',
IKINCIL_MADDE_KULLANIM_SIKLIGI_ID AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@code',
IKINCIL_MADDE_KULLANIM_SIKLIGI_ADI AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@value',

-- IKINCIL_KULLANILAN_MADDE
'1' AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/IKINCIL_KULLANILAN_MADDE/@version',
'59722280-d12c-4adf-b184-1a5349076211' AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/IKINCIL_KULLANILAN_MADDE/@codeSystemGuid',
IKINCIL_KULLANILAN_MADDE_ID  AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/IKINCIL_KULLANILAN_MADDE/@code',
IKINCIL_KULLANILAN_MADDE_ADI AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/IKINCIL_KULLANILAN_MADDE/@value',

-- VALUE alanlar
IKINCIL_ILK_KULLANIM_YASI AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/ILK_KULLANIM_YASI/@value',
IKINCIL_DUZENLI_MADDE_KULLANIM_SURESI AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/DUZENLI_MADDE_KULLANIM_SURESI/@value',

-- MADDE_KULLANIM_YOLU (tekli ise)
'1' AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@version',
'6f295203-2ef1-4ebc-915d-6382829330fc' AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@codeSystemGuid',
IKINCIL_MADDE_KULLANIM_YOLU_ID AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@code',
IKINCIL_MADDE_KULLANIM_YOLU_ADI AS 'IKINCIL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@value',

--UCUNCUL_KULLANILAN_MADDE_BILGISI
'1' AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@version',
'45231382-8544-4b19-b518-0b196d594993' AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@codeSystemGuid',
UCUNCUL_MADDE_KULLANIM_SIKLIGI_ID AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@code',
UCUNCUL_MADDE_KULLANIM_SIKLIGI_ADI AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@value',

-- UCUNCUL_KULLANILAN_MADDE
'1' AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/UCUNCUL_KULLANILAN_MADDE/@version',
'59722280-d12c-4adf-b184-1a5349076211' AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/UCUNCUL_KULLANILAN_MADDE/@codeSystemGuid',
UCUNCUL_KULLANILAN_MADDE_ID AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/UCUNCUL_KULLANILAN_MADDE/@code',
UCUNCUL_KULLANILAN_MADDE_ADI AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/UCUNCUL_KULLANILAN_MADDE/@value',

-- VALUE alanlar
UCUNCUL_ILK_KULLANIM_YASI AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/ILK_KULLANIM_YASI/@value',
UCUNCUL_DUZENLI_MADDE_KULLANIM_SURESI AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/DUZENLI_MADDE_KULLANIM_SURESI/@value',

-- MADDE_KULLANIM_YOLU (tek kayıt ise)
'1' AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@version',
'6f295203-2ef1-4ebc-915d-6382829330fc' AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@codeSystemGuid',
UCUNCUL_MADDE_KULLANIM_YOLU_ID AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@code',
UCUNCUL_MADDE_KULLANIM_YOLU_ADI AS 'UCUNCUL_KULLANILAN_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@value',



 -- KULLANILAN_DIGER_MADDE_BILGISI
'1' AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@version',
'45231382-8544-4b19-b518-0b196d594993' AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@codeSystemGuid',
KULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI_ID AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@code',
KULLANILAN_DIGER_MADDE_KULLANIM_SIKLIGI_ADI AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_SIKLIGI/@value',

-- KULLANILAN_DIGER_MADDE
'1' AS 'KULLANILAN_DIGER_MADDE_BILGISI/KULLANILAN_DIGER_MADDE/@version',
'59722280-d12c-4adf-b184-1a5349076211' AS 'KULLANILAN_DIGER_MADDE_BILGISI/KULLANILAN_DIGER_MADDE/@codeSystemGuid',
KULLANILAN_DIGER_MADDE_ID AS 'KULLANILAN_DIGER_MADDE_BILGISI/KULLANILAN_DIGER_MADDE/@code',
KULLANILAN_DIGER_MADDE_ADI AS 'KULLANILAN_DIGER_MADDE_BILGISI/KULLANILAN_DIGER_MADDE/@value',

-- VALUE alanlar
KULLANILAN_DIGER_MADDE_ILK_KULLANIM_YASI AS 'KULLANILAN_DIGER_MADDE_BILGISI/ILK_KULLANIM_YASI/@value',
KULLANILAN_DIGER_MADDE_DUZENLI_MADDE_KULLANIM_SURESI AS 'KULLANILAN_DIGER_MADDE_BILGISI/DUZENLI_MADDE_KULLANIM_SURESI/@value',

-- MADDE_KULLANIM_YOLU (tekli ise)
'1' AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@version',
'6f295203-2ef1-4ebc-915d-6382829330fc' AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@codeSystemGuid',
KULLANILAN_DIGER_MADDE_KULLANIM_YOLU_ID AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@code',
KULLANILAN_DIGER_MADDE_KULLANIM_YOLU_ADI AS 'KULLANILAN_DIGER_MADDE_BILGISI/MADDE_KULLANIM_YOLU_BILGISI/MADDE_KULLANIM_YOLU/@value',
  -- SIGARA_KULLANIMI
'1' AS 'SIGARA_KULLANIMI_BILGISI/SIGARA_KULLANIMI/@version',
'567e3679-be54-4307-abbf-c499a25fe69e' AS 'SIGARA_KULLANIMI_BILGISI/SIGARA_KULLANIMI/@codeSystemGuid',
SIGARA_KULLANIMI_ID  AS 'SIGARA_KULLANIMI_BILGISI/SIGARA_KULLANIMI/@code',
SIGARA_KULLANIMI_ADI AS 'SIGARA_KULLANIMI_BILGISI/SIGARA_KULLANIMI/@value',

SIGARA_ADEDI AS 'SIGARA_KULLANIMI_BILGISI/SIGARA_ADEDI/@value',
ILK_KULLANIM_YASI AS 'SIGARA_KULLANIMI_BILGISI/ILK_KULLANIM_YASI/@value',

DUZENLI_MADDE_KULLANIM_SURESI AS 'SIGARA_KULLANIMI_BILGISI/DUZENLI_MADDE_KULLANIM_SURESI/@value',


														   -- ONAM
														   ONAM_AD    AS 'ONAM_BILGILERI/AD/@value',
														   ONAM_SOYAD AS 'ONAM_BILGILERI/SOYAD/@value',
														   ONAM_TELEFON_NUMARASI AS 'ONAM_BILGILERI/TELEFON_NUMARASI/@value'

														   FOR XML PATH(''), TYPE
														 )
														 FROM #TMPUSSDIGER
														 FOR XML PATH('MADDE_BAGIMLILIGI_BILDIRIM'), TYPE
														)

													
													,					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USSDIGER_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
